
<!DOCTYPE html>
<!--
 Generated by Apache Maven Doxia at 2016-11-29
 Rendered using Reflow Maven Skin 1.1.1 (http://andriusvelykis.github.io/reflow-maven-skin)
-->
<html  xml:lang="en" lang="en">

	<head>
		<meta charset="UTF-8" />
		<title>
		Designer - User | SysML Papyrus</title>
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<meta name="description" content="" />
		<meta http-equiv="content-language" content="en" />
 
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/bootstrap.min.css" rel="stylesheet" />
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/bootstrap-responsive.min.css" rel="stylesheet" />
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/docs.css" rel="stylesheet" />
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/reflow-skin.css" rel="stylesheet" />


		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/lightbox.css" rel="stylesheet" />

		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/site.css" rel="stylesheet" />
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/print.css" rel="stylesheet" media="print" />

		<!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
		<!--[if lt IE 9]>
			<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/html5.js"></script>
		<![endif]-->


		
<link rel="stylesheet" href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/highlightjs/default.min.css"></link>
<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/highlight.min.js"></script>
	</head>

	<body class="page-user-index project-orgeclipsepapyrusdesignerparent" data-spy="scroll" data-offset="60" data-target="#toc-scroll-target">

		<div class="navbar navbar-fixed-top">
			<div class="navbar-inner">
				<div class="container">
					<a class="btn btn-navbar" data-toggle="collapse" data-target="#top-nav-collapse">
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</a>
					<a class="brand" href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging/index.html">Papyrys <span class="color-highlight">Designer</span> Project</a>
					<div class="nav-collapse collapse" id="top-nav-collapse">
						<ul class="nav pull-right">
							<li ><a href="http://www.eclipse.org/papyrus" title="Papyrus" target="_blank" class="externalLink">Papyrus</a></li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Modules <b class="caret"></b></a>
								<ul class="dropdown-menu">
									<li ><a href="../org.eclipse.papyrus.designer.components/index.html" title="Designer Components">Designer Components</a></li>
									<li ><a href="../org.eclipse.papyrus.designer.languages/index.html" title="Designer Languages">Designer Languages</a></li>
									<li ><a href="../org.eclipse.papyrus.designer.deployment/index.html" title="Designer deployment">Designer deployment</a></li>
									<li ><a href="../org.eclipse.papyrus.designer.transformation/index.html" title="Designer transformation">Designer transformation</a></li>
									<li ><a href="../org.eclipse.papyrus.designer.gui/index.html" title="Designer GUI">Designer GUI</a></li>
									<li ><a href="../org.eclipse.papyrus.designer.releng/index.html" title="Designer Releng">Designer Releng</a></li>
									<li ><a href="../org.eclipse.papyrus.designer.targetplatform/index.html" title="Designer Target Platform">Designer Target Platform</a></li>
								</ul>
							</li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Parent <b class="caret"></b></a>
								<ul class="dropdown-menu">
									<li ><a href="../../components/index.html" title="Papyrus Shared Components Descriptor">Papyrus Shared Components Descriptor</a></li>
								</ul>
							</li>
							<li class="dropdown active">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Documentation <b class="caret"></b></a>
								<ul class="dropdown-menu">
									<li ><a href="../developer/index.html" title="Developer">Developer</a></li>
									<li ><a href="../pdf/developer-guide.pdf" title="Dev book pdf" target="_blank">Dev book pdf</a></li>
									<li class="active"><a href="" title="User">User</a></li>
									<li ><a href="../pdf/user-guide.pdf" title="User book pdf" target="_blank">User book pdf</a></li>
								</ul>
							</li>
						</ul>
					</div><!--/.nav-collapse -->
				</div>
			</div>
		</div>

	<div class="container">

	<!-- Masthead
	================================================== -->

	<header>
	<div class="jumbotron subhead">
		<div class="row" id="banner">
			<div class="span12">
				<div class="pull-left">
					<a href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging/index.html" id="bannerLeft"><h1>Eclipse <span class="color-highlight">Papyrus Designer</span> project</h1></a>
					<p class="lead">from design models to implementation.</p>
				</div>
				<div class="pull-right">
				</div>
			</div>
		</div>
	</div>
		<div>
			<ul class="breadcrumb">
				<li><a href="../" title="Designer">Designer</a></li>
				<li class="divider">/</li>
				<li>
		Designer - User</li>
			</ul>
		</div>
		<hr class="toc-separator" />
		<div id="toc-bar" class="navbar" data-spy="affix" data-offset-top="250">
			<div class="navbar-inner">
				<div id="toc-scroll-target" class="container">
					<a class="btn btn-navbar" data-toggle="collapse" data-target="#toc-nav-collapse">
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</a>
					<div class="nav-collapse collapse" id="toc-nav-collapse">
						<ul id="toc" class="nav">
						<li class="toplevel"><a href="#Papyrus_Designer" title="Papyrus Designer">Papyrus Designer</a></li>
						<li class="toplevel"><a href="#Context" title="Context">Context</a></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</header>

	<div class="main-body">
	<div class="row">
		<div class="span12">
			<div class="body-content">
<div class="section"> 
 <div class="page-header">
  <h2 id="Papyrus_Designer">Papyrus Designer</h2>
 </div> 
 <div class="section"> 
  <h3 id="Context">Context</h3> 
  <p>Papyrus Designer is a component based modeling approach that supports the code generation for embedded systems. Theses systems are characterized by timing and resource constraints - sometimes also denoted as non-functional properties. Since these systems get more and more complex, it is important that the non-functional properties are not just specified in the documentation and respected by the implemented system, but that these are explicitly modeled and suitable code is derived from the model. Papyrus Designer is part of the Papyrus tool-suite integrated into Papyrus.</p> 
  <p>Papyrus Designer supports the code generation for a specified architecture. Papyrus Designer code generation starts from a model that includes the definition of software components, hardware nodes and deployment information. The latter consists of a definition of the instances of components and nodes and an allocation between these. Code generation is done by a sequence of transformations steps and a final code generation.</p> 
  <p>Papyrus Designer is integrated into the open source UML editor [http://www.eclipse.org/papyrus Papyrus], The UML profile [http://www.omgmarte.org MARTE] is used for non-functional properties. Parts of the component model were developed in the context of the French national project [http://www.flex-eware.org Flex-eWare].</p> 
 </div> 
</div>
			</div>
		</div>
	</div>
	</div>

	</div><!-- /container -->

	<!-- Footer
	================================================== -->
	<footer class="well">
		<div class="container">
			<div class="row">
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">DevLinks</li>
						<li >
							<a href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git" title="SourceCode by Git" target="_blank" class="externalLink">SourceCode by Git</a>
						</li>
						<li >
							<a href="https://repo.eclipse.org/index.html#welcome" title="Repository by Nexus" target="_blank" class="externalLink">Repository by Nexus</a>
						</li>
						<li >
							<a href="https://hudson.eclipse.org/papyrus/view/Designer/" title="Integration by Hudson" target="_blank" class="externalLink">Integration by Hudson</a>
						</li>
						<li class="nav-header">References</li>
					</ul>
				</div>
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">Modules</li>
						<li >
							<a href="../org.eclipse.papyrus.designer.components/index.html" title="Designer Components">Designer Components</a>
						</li>
						<li >
							<a href="../org.eclipse.papyrus.designer.languages/index.html" title="Designer Languages">Designer Languages</a>
						</li>
						<li >
							<a href="../org.eclipse.papyrus.designer.deployment/index.html" title="Designer deployment">Designer deployment</a>
						</li>
						<li >
							<a href="../org.eclipse.papyrus.designer.transformation/index.html" title="Designer transformation">Designer transformation</a>
						</li>
						<li >
							<a href="../org.eclipse.papyrus.designer.gui/index.html" title="Designer GUI">Designer GUI</a>
						</li>
						<li >
							<a href="../org.eclipse.papyrus.designer.releng/index.html" title="Designer Releng">Designer Releng</a>
						</li>
						<li >
							<a href="../org.eclipse.papyrus.designer.targetplatform/index.html" title="Designer Target Platform">Designer Target Platform</a>
						</li>
						<li class="nav-header">Parent</li>
						<li >
							<a href="../../components/index.html" title="Papyrus Shared Components Descriptor">Papyrus Shared Components Descriptor</a>
						</li>
					</ul>
				</div>
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">Maven documentation</li>
						<li >
							<a href="../project-info.html" title="Project Information">Project Information <i class="icon-chevron-right"></i></a>
						</li>
						<li >
							<a href="../project-reports.html" title="Project Reports">Project Reports <i class="icon-chevron-right"></i></a>
						</li>
					</ul>
				</div>
				<div class="span3 bottom-description">
					<blockquote>Eclipse <span class="color-highlight">Papyrus Designer</span> project. Design your application as a component-based model then deploy it on heterogeneous platforms. Speed-up development through code generation of your application. Component interaction and communication code is generated automatically so you can concentrate on your business code.</blockquote>
				</div>
			</div>
		</div>
	</footer>

	<div class="container subfooter">
		<div class="row">
			<div class="span12">
				<p class="pull-right"><a href="#">Back to top</a></p>
				<p class="copyright">Copyright &copy;2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All Rights Reserved.</p>
				<p class="version-date"><span class="projectVersion">Version: 1.0.4-SNAPSHOT. </span><span class="publishDate">Last Published: 2016-11-29. </span></p>
				<p><a href="http://github.com/andriusvelykis/reflow-maven-skin" title="Reflow Maven skin">Reflow Maven skin</a> by <a href="http://andrius.velykis.lt" target="_blank" title="Andrius Velykis">Andrius Velykis</a>.</p>
			</div>
		</div>
	</div>

	<!-- Le javascript
	================================================== -->
	<!-- Placed at the end of the document so the pages load faster -->
	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/jquery.min.js"></script>

	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/bootstrap.min.js"></script>
	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/lightbox.min.js"></script>
	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/reflow-scroll.js"></script>
	
<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/highlight.min.js"></script>
<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/jquery.min.js"></script>
	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/reflow-skin.js"></script>

	</body>
</html>
